Name:           ocaml-event
Version:        0.6.0
Release:        %mkrel 22
Summary:        An OCaml wrapper for the libevent API
License:        MIT
Group:          Development/OCaml
URL:            http://mmzeeman.home.xs4all.nl/ocaml/
Source0:        http://mmzeeman.home.xs4all.nl/ocaml/ocaml-event-%{version}.tar.gz
Patch0:         ocaml-event-0.6.0-optflags.patch
BuildRequires:  ocaml-findlib
BuildRequires:  pkgconfig(libevent)

%description
An OCaml wrapper for the libevent API. The libevent API provides a
mechanism to execute a callback function when a specific event occurs on a
file descriptor or after a timeout has been reached. Furthermore, libevent
also support callbacks due to signals or regular timeouts. 
Currently, libevent supports /dev/poll, kqueue(2), select(2), poll(2) and
epoll(4). It also has experimental support for real-time signals. The
internal event mechanism is completely independent of the exposed event
API, and a simple update of libevent can provide new functionality without
having to redesign the applications. As a result, Libevent allows for
portable application development and provides the most scalable event
notification mechanism available on an operating system.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig(libevent)

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q
%autopatch -p1
sed -i README -e 's/Ocaml-Expat/OCaml-Event/'
sed -i examples/*.ml -e 's/Libevent/Liboevent/g'
sed -i examples/fifo_example.ml -e \
  's/Unix.unlink fifo;/if Sys.file_exists fifo then Unix.unlink fifo;/'
sed -i examples/Makefile -e 's/-package libevent/-package liboevent/g'
sed -i META -e 's/libevent.cma/liboevent.cma/'
sed -i META -e 's/libevent.cmxa/liboevent.cmxa/'

%build
%set_build_flags
make all allopt
make doc
rm -f doc/README

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/liboevent
make install

%files
%doc README LICENCE
%dir %{_libdir}/ocaml/liboevent
%{_libdir}/ocaml/liboevent/META
%{_libdir}/ocaml/liboevent/*.cma
%{_libdir}/ocaml/liboevent/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc examples
%{_libdir}/ocaml/liboevent/*.a
%{_libdir}/ocaml/liboevent/*.cmxa
%{_libdir}/ocaml/liboevent/*.mli


%changelog
* Sun Mar 01 2020 daviddavid <daviddavid> 0.6.0-22.mga8
+ Revision: 1552746
- no need to hard require libevent

* Fri Feb 28 2020 umeabot <umeabot> 0.6.0-21.mga8
+ Revision: 1551140
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 0.6.0-20.mga8
+ Revision: 1545288
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 tv <tv> 0.6.0-19.mga8
+ Revision: 1484330
- rebuild for ocaml-4.10
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Tue Oct 23 2018 tv <tv> 0.6.0-18.mga7
+ Revision: 1324044
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 0.6.0-17.mga7
+ Revision: 1323732
- Rebuild for ocaml 4.07

* Fri Oct 12 2018 tv <tv> 0.6.0-16.mga7
+ Revision: 1319874
- fix deps on 64bit arches

* Sun Sep 23 2018 umeabot <umeabot> 0.6.0-15.mga7
+ Revision: 1299864
- Mageia 7 Mass Rebuild

* Sun Nov 26 2017 tv <tv> 0.6.0-14.mga7
+ Revision: 1179506
- rebuild for new ocaml

* Fri Oct 06 2017 daviddavid <daviddavid> 0.6.0-13.mga7
+ Revision: 1169325
- patch0: honor user CFLAGS thus fixing empty debugsourcefiles.list

* Thu Feb 16 2017 mrambo3501 <mrambo3501> 0.6.0-12.mga6
+ Revision: 1086497
- set Requires to libevent6

* Mon Feb 13 2017 mrambo3501 <mrambo3501> 0.6.0-11.mga6
+ Revision: 1086001
- rebuild for new libevent

* Fri Feb 12 2016 umeabot <umeabot> 0.6.0-10.mga6
+ Revision: 956351
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6.0-9.mga5
+ Revision: 749973
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.0-8.mga5
+ Revision: 683024
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6.0-7.mga4
+ Revision: 508455
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.6.0-6.mga3
+ Revision: 361292
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.6.0-5.mga3
+ Revision: 301657
- new rpm group for ocaml
- new rpm group for ocaml

* Wed Mar 28 2012 malo <malo> 0.6.0-3.mga2
+ Revision: 227212
- adding missing Requires to libevent-devel

* Sat Mar 03 2012 malo <malo> 0.6.0-2.mga2
+ Revision: 217498
- fix requires to libevent5

* Fri Mar 02 2012 blue_prawn <blue_prawn> 0.6.0-1.mga2
+ Revision: 216981
- libevent dependency
- include the examples, and fix the example for the new module name
- imported package ocaml-event

